Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Interface PCData

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  DataCachePCData, PCDataGenerator.DynamicPCData

All Known Implementing Classes:
  AbstractPCData, DataCachePCDataImpl, PCDataImpl

    public interface PCData

extends Serializable

Holds data about a single persistence capable instance. This interface is used in the caching framework, and may also be used by simple store manager back-ends to hold persistent state.

Author:
  Patrick Linskey

Method Summary
`String` | `getCache()` Get the name of the cache where this data is stored.
`Object` | `getData(int i)` Return the data stored in the given field index.
`Object` | `getId()` Return the id of this instance.
`Object` | `getImplData()` Returns the instance-level impl data, or null if none.
`Class` | `getType()` Return the type of this instance.
`Object` | `getVersion()` Returns the current version object that this data was loaded from.
`boolean` | `isLoaded(int i)` Whether the given field index has stored data.
`void` | `load(OpenJPAStateManager sm, BitSet fields, FetchConfiguration fetch, Object context)` Loads some or all of the marked fields from the cache into the given state manager.
`void` | `load(OpenJPAStateManager sm, FetchConfiguration fetch, Object context)` Loads all fields that are currently stored in the cache into the given state manager.
`void` | `setImplData(Object val)` Sets the stored instance-level impl data.
`void` | `setVersion(Object version)` Sets the current version object that this data was loaded from.
`void` | `store(OpenJPAStateManager sm)` Store all loaded fields of the state manager.
`void` | `store(OpenJPAStateManager sm, BitSet fields)` Store the given fields from the state manager.

Method Detail

### getId

    Object getId()

  Return the id of this instance.

### getType

    Class getType()

  Return the type of this instance.

### getImplData

    Object getImplData()

  Returns the instance-level impl data, or null if none.

### setImplData

    void setImplData(Object val)

  Sets the stored instance-level impl data.

### getVersion

    Object getVersion()

  Returns the current version object that this data was loaded from.

### setVersion

    void setVersion(Object version)

  Sets the current version object that this data was loaded from.

### load

    void load(OpenJPAStateManager sm,
              FetchConfiguration fetch,
              Object context)

  Loads all fields that are currently stored in the cache into the given state manager.

  Parameters:
    `sm` - the state manager to load
    `fetch` - the fetch configuration to use for loading related objects
    `context` - current context information

### load

    void load(OpenJPAStateManager sm,
              BitSet fields,
              FetchConfiguration fetch,
              Object context)

  Loads some or all of the marked fields from the cache into the given state manager.

  Parameters:
    `sm` - the state manager to load
    `fields` - the fields to load; clear the bits for the fields that are successfully loaded
    `fetch` - the fetch configuration to use for loading related objects
    `context` - current context information

### store

    void store(OpenJPAStateManager sm)

  Store all loaded fields of the state manager.

### store

    void store(OpenJPAStateManager sm,
               BitSet fields)

  Store the given fields from the state manager.

### getData

    Object getData(int i)

  Return the data stored in the given field index.

### isLoaded

    boolean isLoaded(int i)

  Whether the given field index has stored data.

### getCache

    String getCache()

  Get the name of the cache where this data is stored.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.